Subscribe

NetApp SDK compatibility matrix

[ Edited ]

Hi,

 

I am looking for a compatibility matrix for NetApp SDK.

I am trying to find out the supported platforms for NetApp SDK 5.2.2

More specifically we are using NetApp SnapLock related API calls (using SDK 5.2.2 and the documentation for SnapLock 8.2) and it would be great to see which platform versions are actually supported using this version of the API. 

 

Thanks,

Gabor

Re: NetApp SDK compatibility matrix

 

Gabor -

 

The 'Matrix' is included in the documentation with the SDK.

 

Here are platform any language reqs for 5.2.1:

 

The following system requirements apply to NetApp Manageability SDK 5.2.1R1:

¡Windows 32-bit 2003, 2008

¡Windows 64-bit (IA64 and x64) 2003, 2008

¡Windows x64 2008 R2, 2012

¡Red Hat® Linux® (32-bit and 64-bit) V5, V6

¡Oracle Enterprise Linux 4.0, 4.8, 5.4, 5.5, 5.6, 5.7, 5.8, 6.0, 6.1, 6.2, 6.3

¡SUSE Linux (32-bit and 64-bit) 10.0, 11.0, and 11.0 SP2

¡Solaris™ SPARC® (32-bit and 64-bit) 10.0, 11.0

¡Solaris x86 (32-bit) 10.0

¡Solaris x64-bit 10.0

¡AIX (32-bit and 64-bit) 5.2, 5.3, 6.1, 7.1

¡HP-UX® PA-RISC 32-bit 11.11 and later

¡HP-UX 64-bit IA64 B.11.31 and later

¡VMware ESX server 3.5, 4.0, 4.1

¡VMware ESXi server 5.0, 5.1

¡FreeBSD® (64-bit) 8.0

 

The following software versions apply to NetApp Manageability SDK 5.2.1R1:

¡C, C++ Visual Studio 2005 and 2010 for Windows

¡GNU® Make and GNU C/C++ Compiler for 32-bit UNIX®-like environment

¡GNU C/C++ Compiler 3.2 or later for 64-bit UNIX-like environment

¡Java Oracle™ Java 1.4, 5.0, 6.0, and 7.0

¡HP-UX Java 1.4, 5.0, 6.0, and 7.0

¡AIX Java 1.4, 5.0, 6.0, and 7.0

¡Perl 5.8, 5.10, and 5.16

¡C#, VB.NET Microsoft .NET Framework 2.0, 3.0, 3.5, and 4.0

¡PowerShell 1.0 and 2.0

¡Microsoft .NET Framework 2.0, 3.0, 3.5, and 4.0

¡Python 2.4.3, 2.4.4, 2.5, 2.6.2, 2.6.6, 2.7.1, 2.7.2, 2.7.3, 3.1.3, 3.1.4, 3.2.1, 3.2.2, and 3.3.0

¡Ruby 1.8.7, 1.9.2, 1.9.3, and 2.0


I hope this response has been helpful to you.

At your service,

Eugene E. Kashpureff, Sr.
Independent NetApp Consultant http://www.linkedin.com/in/eugenekashpureff
Senior NetApp Instructor, IT Learning Solutions http://sg.itls.asia/netapp
(P.S. I appreciate 'kudos' on any helpful posts.)

 

 

 

 

Re: NetApp SDK compatibility matrix

Thanks, but I am looking for NetApp platform versions like 8.0, 8.1, etc.